List Markets
curl --request GET \
--url https://scrapebadger.com/v1/ebay/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/ebay/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/ebay/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"code": "<string>",
"domain": "<string>",
"country": "<string>",
"currency": "<string>",
"locale": "<string>",
"name": "<string>",
"site_id": 123
}
]
}Reference
List Markets
List all supported eBay marketplaces with their domains, currencies, locales, and site ids.
GET
/
v1
/
ebay
/
markets
List Markets
Response
array
Array of supported eBay marketplaces.
Show MarketInfo object
Show MarketInfo object
string
Market code (e.g.
US, GB, DE).string
eBay domain TLD to use in the
domain query parameter (e.g. com, co.uk).string
ISO 3166-1 alpha-2 country code.
string
ISO 4217 currency code used in this market.
string
BCP-47 locale (e.g.
en-US).string
Marketplace country name.
integer
eBay legacy global site id.
Example Response
{
"markets": [
{ "code": "US", "domain": "com", "country": "US", "currency": "USD", "locale": "en-US", "name": "United States", "site_id": 0 },
{ "code": "GB", "domain": "co.uk", "country": "GB", "currency": "GBP", "locale": "en-GB", "name": "United Kingdom", "site_id": 3 },
{ "code": "DE", "domain": "de", "country": "DE", "currency": "EUR", "locale": "de-DE", "name": "Germany", "site_id": 77 },
{ "code": "AU", "domain": "com.au", "country": "AU", "currency": "AUD", "locale": "en-AU", "name": "Australia", "site_id": 15 }
]
}
Listing markets is a free reference endpoint (0 credits).
⌘I

